My User
Operations related to your own User, when logged-in.
Get my user information
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: user
Update my user information
Body
passwordpassword<password>currentPasswordpassword<password>emailemailnew email used for login and service communications
displayNamestringnew name of the user in its representations
nsfwPolicystringtruefalsebothnew NSFW display policy
nsfwFlagsDisplayedNSFWFlag0124NSFW flags (can be combined using bitwise or operator)
0NONE1VIOLENT2EXPLICIT_SEX
nsfwFlagsHiddenNSFWFlag0124NSFW flags (can be combined using bitwise or operator)
0NONE1VIOLENT2EXPLICIT_SEX
nsfwFlagsWarnedNSFWFlag0124NSFW flags (can be combined using bitwise or operator)
0NONE1VIOLENT2EXPLICIT_SEX
nsfwFlagsBlurredNSFWFlag0124NSFW flags (can be combined using bitwise or operator)
0NONE1VIOLENT2EXPLICIT_SEX
aiUsagesHiddenArray<VideoAIUsageSet>1234PeerTube >= 9.0 Videos with these AI usages are hidden from video lists
p2pEnabledbooleanwhether to enable P2P in the player or not
autoPlayVideobooleannew preference regarding playing videos automatically
autoPlayNextVideobooleannew preference regarding playing following videos automatically
autoPlayNextVideoPlaylistbooleannew preference regarding playing following playlist videos automatically
videosHistoryEnabledbooleanwhether to keep track of watched history or not
videoLanguagesArray<string>list of languages to filter videos down to
videoCategoriesArray<integer> | nulllist of categories to filter videos down to (null means all categories)
videoLivestringtruefalsebothfilter videos down to lives (true), VODs (false) or display both
languagestringdefault language for this user
themestringnoInstanceConfigWarningModalbooleannoAccountSetupWarningModalbooleannoWelcomeModalbooleanResponse
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: user
Delete my account
Delete the authenticated user's account and all associated data
Response
successful operation - account deleted
invalid request parameters
authentication required
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: user
Get video imports of my user
Parameters
startinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstringquerySort column
includeCollaborationsbooleanqueryPeerTube >= 8.0 Include objects from collaborated channels
videoIdintegerqueryFilter on import video ID
targetUrlstringqueryFilter on import target URL
videoChannelSyncIdnumberqueryFilter on imports created by a specific channel synchronization
searchstringquerySearch in video names
Filter on import state
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: user
Get my user used quota
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: user
Get rate of my user for a video
Parameters
videoIdOrUUIDid | UUIDv4 | shortUUIDrequiredpathVideo id or UUID
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
List videos of my user
Parameters
channelNameOneOfstring | Array<string>queryPeerTube >= 7.2 Filter on videos that are published by a channel with one of these names
startinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
skipCountstringtruefalsefalsequeryif you don't need the total in the response
sortstringname-duration-createdAt-publishedAt-views-likes-comments-trending-hot-bestquerynsfwstringtruefalsequerywhether to include nsfw videos, if any
aiUsageOneOfVideoAIUsageSet | Array<VideoAIUsageSet>queryPeerTube >= 9.0 Only list videos with one of these AI usages, declared by video creators.
If not provided, the preference of the authenticated user (aiUsagesHidden) is used
isLivebooleanquerywhether or not the video is a live
includeScheduledLivebooleanquerywhether or not include live that are scheduled for later
categoryOneOfVideoCategorySet | Array<VideoCategorySet>querycategory id of the video (see /videos/categories)
licenceOneOfVideoLicenceSet | Array<VideoLicenceSet>querylicence id of the video (see /videos/licences)
languageOneOfVideoLanguageSet | Array<VideoLanguageSet>querylanguage id of the video (see /videos/languages). Use _unknown to filter on videos that don't have a video language
tagsOneOfstring | Array<string>querytag(s) of the video
tagsAllOfstring | Array<string>querytag(s) of the video, where all should be present in the video
isLocalbooleanqueryPeerTube >= 4.0 Display only local or remote objects
includeinteger012481632queryOnly administrators and moderators can use this parameter
Include additional videos in results (can be combined using bitwise or operator)
0NONE1NOT_PUBLISHED_STATE2BLACKLISTED4BLOCKED_OWNER8FILES16CAPTIONS32VIDEO SOURCE
hasHLSFilesbooleanqueryPeerTube >= 4.0 Display only videos that have HLS files
hasWebVideoFilesbooleanqueryPeerTube >= 6.0 Display only videos that have Web Video files
hoststringqueryFind elements owned by this host
autoTagOneOfstring | Array<string>queryPeerTube >= 6.2 Admins and moderators only filter on videos that contain one of these automatic tags
stateOneOfid | Array<id>queryPeerTube >= 8.2 Admins and moderators only filter on videos that have one of these states
PeerTube >= 4.0 Display only videos in this specific privacy/privacies
excludeAlreadyWatchedbooleanqueryWhether or not to exclude videos that are in the user's video history
searchstringqueryPlain text search, applied to various parts of the model depending on endpoint
includeCollaborationsbooleanqueryPeerTube >= 8.0 Include objects from collaborated channels
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: user
Mark feature info as read
**PeerTube >= v8.0.0
Body
Represent a new feature that can be displayed to inform users. One of the following values:
1CHANNEL_COLLABORATION
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: user
Update my user avatar
Body
multipart/form-dataobjectavatarfileimage/png, image/jpegavatarfilestring<binary>The file to upload
Response
successful operation
image file too large
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Delete my avatar
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
List my abuses
Parameters
idintegerqueryonly list the report with this id
sortstring-id-createdAt-statequerySort abuses by criteria
startinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
